.reservation-list {
  width: 100%;
  padding: 20px;
  font-family: 'Arial', sans-serif;
  flex-grow: 1;
}

.reservation-list section {
  background-color: #ffffff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
  margin-top: 20px;
}

.reservation-list h2 {
  text-align: center;
  font-size: 28px;
  margin-bottom: 20px;
  color: #333;
}

.reservation-list .filter-container {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

.reservation-list .filter-container select {
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 50%;
  margin-bottom: 20px;
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='20' viewBox='0 0 24 24' width='20' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 95%;
  background-position-y: center;
}

.reservation-list .filter-container select:focus {
  border-color: #007bff;
  outline: none;
}

.reservation-list table {
  width: 100%;
  border-collapse: collapse;
  margin: 0 auto;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  border-radius: 8px;
}

.reservation-list th,
.reservation-list td {
  padding: 12px 15px;
  border-bottom: 1px solid #e0e0e0;
  text-align: left;
}

.reservation-list th {
  background-color: #add8e6;
  color: #fff;
  font-weight: bold;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.reservation-list tbody tr:nth-child(even) {
  background-color: #f7f7f7;
}

.reservation-list tbody tr:hover {
  background-color: #e3f2fd;
}

.reservation-list .btn {
  display: inline-block;
  padding: 8px 16px;
  background-color: #3f51b5;
  color: white;
  border: none;
  border-radius: 4px;
  text-decoration: none;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.reservation-list .btn:hover {
  background-color: #303f9f;
}

.reservation-list .btn:disabled {
  background-color: #b0b0b0;
  color: #6c757d;
  cursor: not-allowed;
  box-shadow: none;
}

.filter-section {
  margin-bottom: 20px;
}

.filter-section label {
  font-weight: bold;
  margin-right: 10px;
}

#userFilter {
  padding: 8px 12px;
  border-radius: 4px;
  border: 1px solid #ccc;
  background-color: #f9f9f9;
  font-size: 16px;
  color: #333;
  outline: none;
  transition: border-color 0.3s, box-shadow 0.3s;
}

#userFilter:focus {
  border-color: #007bff;
  box-shadow: 0 0 8px rgba(0, 123, 255, 0.25);
}

#userFilter option {
  padding: 8px;
  background-color: #fff;
  color: #333;
}

@media (max-width: 600px) {
  .reservation-list h2 {
    font-size: 24px;
  }

  .reservation-list .filter-container select {
    width: 100%;
  }

  .reservation-list th,
  .reservation-list td {
    padding: 8px 10px;
    font-size: 12px;
  }

  .reservation-list .btn {
    padding: 6px 12px;
    font-size: 12px;
  }
}

@media (min-width: 600px) and (max-width: 768px) {
  .reservation-list h2 {
    font-size: 26px;
  }

  .reservation-list .filter-container select {
    width: 75%;
  }

  .reservation-list th,
  .reservation-list td {
    padding: 10px 12px;
    font-size: 14px;
  }

  .reservation-list .btn {
    padding: 7px 14px;
    font-size: 13px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .reservation-list h2 {
    font-size: 28px;
  }

  .reservation-list .filter-container select {
    width: 60%;
  }

  .reservation-list th,
  .reservation-list td {
    padding: 11px 14px;
    font-size: 15px;
  }

  .reservation-list .btn {
    padding: 8px 16px;
    font-size: 14px;
  }
}

@media (min-width: 1024px) {
  .reservation-list h2 {
    font-size: 30px;
  }

  .reservation-list .filter-container select {
    width: 50%;
  }

  .reservation-list th,
  .reservation-list td {
    padding: 12px 15px;
    font-size: 16px;
  }

  .reservation-list .btn {
    padding: 8px 16px;
    font-size: 14px;
  }
}
